/********************************************************************
	Copyright(C) 1998-2004, Feitian Technologies Co., Ltd.
	All rights reserved.

	Created:	5:3:2003   9:27
	Filename: 	derivekeytest.h
	Author:		Yubo
	Purpose:	Derive a key(RC4 or DES) and use it encrypt ,decrypt!
*********************************************************************/

//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DERIVEKEYTEST_H__CC86447A_01DA_4D4C_BD3C_29DA20C9F7A3__INCLUDED_)
#define AFX_DERIVEKEYTEST_H__CC86447A_01DA_4D4C_BD3C_29DA20C9F7A3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class DeriveKeyTest  
{
public:
	int Testkey(CK_ULONG ulALG);
	DeriveKeyTest();
	virtual ~DeriveKeyTest();

};

#endif // !defined(AFX_DERIVEKEYTEST_H__CC86447A_01DA_4D4C_BD3C_29DA20C9F7A3__INCLUDED_)
